Name: 		aLinux_kde
Version: 	3.5.3
Release: 	6
Copyright: 	GPL
Summary: 	KDE
Group: 		KDE
Source0: 	%{name}-%{version}.tar.bz2
Source1:	kside_tile.xcf
Source2:	kside_tiletrans.xcf
Source3:	Torchlight-0.2.0pre4.tar.bz2
Source4:	synaptic.png
Source5:	aLinux_icons.tar.bz2
Source6:	kde.png
Source7:	kmail.png
Source8:	shutdownkonq.xcf
Source9:	kde-4-layer.xcf
Source10:	kde-27-layer.xcf
Source11:	kde-27-layer.mng
Source12:	kde-blend-27-layer-result.png
Source13:	1600x1200-aLinux-gold.xcf
Source14:	1600x1537-aLinux-logo.xcf
Source15:	Background.xcf
Source16:	default-128x128.xcf
Source17:	default.png
Source18:	aLinux-oldnugly-icons.xcf
Source19:	128x128-aLinux-icons.xcf
Source20:	128x128-aLinux-icons-pre-built.tar.bz2
Source21:	1360x1435-aLinux-logo-shutdown.xcf
BuildRequires:	crystal clear-style.linspire gtk-qt-engine kbfx lipstik luna-1.0 kwin-decor-suse2 mtaskbar
BuildRequires:  qt-devel
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch:  i386

%description
K Desktop Environment. Please install "aLinux_kde" last, after you've installed 
all main KDE apps. aLinux KDE is basically just a cleaned-K-look.  Always use 
Synaptic Package Manager for installing aLinux rpms.

-
Note to self: Before building aLinux(TM) icon set: i.e. aLinux_icons
1. Place default.png, kmail.png, synpatic.png, etc. in the "apps" directory.
2. Place unknown.png in the "mime" directory.
3. Place exec.png & misc?.png > misc.png in "actions" directory.
4. Symlink a few like klinkstatus.png, etc, for proper branding.

If there not already there - that is.

%prep
rm -rf $RPM_BUILD_ROOT

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/tmp/aLinux_kde
cp %{SOURCE0} $RPM_BUILD_ROOT/tmp/aLinux_kde/

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/lib/kde3/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/lib/kde3/plugins/designer/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/opt/kde/lib/kde3/plugins/styles/*.so 2>/dev/null || :

%post
tar xpf /tmp/aLinux_kde/aLinux_kde*.tar.bz2 -C / 2>/dev/null || :
rm -R /tmp/aLinux_kde
chmod 1777 /tmp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %date - linuxkid alinux@alinux.org
- Add missing blue crystal mouse theme default.
- Fix up Luxi Sans font size & fixed size.
- Add temporary fix for KDE print.
- Default KNetwork to Slackware 10.2.
- Make sure KDE knows its pre-linked.
- Add CTP/Loop/Goom effects for KMP/Xine.